<?php

/*--------------------------------------------------------------*/
/*                          INCLUDES                            */
/*--------------------------------------------------------------*/

include "inc/core/meta-fields.php";
include "inc/core/post-type.php";
include "inc/core/taxonomy.php";
include "inc/libs/aqua-resize/aqua_resize.php";

register_nav_menus( array(
	'top'    => 'Верхнее меню',
	'right'  => 'Боковое меню',
	'bottom' => 'Нижнее меню'
) );


add_action( 'wp_enqueue_scripts', 'theme_src' );
function theme_src() {
	wp_enqueue_style( 'main-css', get_stylesheet_uri(), array(), null );
	wp_deregister_script( 'jquery' );
	wp_enqueue_script( 'jquery', get_template_directory_uri() . '/assets/js/jquery-3.2.1.min.js', array(), null, true );
	wp_enqueue_script( 'main-js', get_template_directory_uri() . '/assets/slick/slick.min.js', array(), '1.0.0', true );
	wp_enqueue_script( 'slick-js', get_template_directory_uri() . '/assets/js/scripts.js', array(), '1.0.0', true );
}

add_theme_support( 'title-tag' );
add_theme_support( 'post-thumbnails' );


if ( 'disable_gutenberg' ) {
	add_filter( 'use_block_editor_for_post_type', '__return_false', 100 );
	remove_action( 'wp_enqueue_scripts', 'wp_common_block_scripts_and_styles' );
	add_action( 'admin_init', function () {
		remove_action( 'admin_notices', [ 'WP_Privacy_Policy_Content', 'notice' ] );
		add_action( 'edit_form_after_title', [ 'WP_Privacy_Policy_Content', 'notice' ] );
	} );
}
function load_template_part( $template_name, $part_name = null ) {
	ob_start();
	get_template_part( $template_name, $part_name );
	$var = ob_get_contents();
	ob_end_clean();

	return $var;
}

function load_posts() {
	$result              = '';
	$args                = unserialize( stripslashes( $_POST['query'] ) );
	$args['paged']       = $_POST['page'] + 1; // следующая страница
	$args['post_status'] = 'publish';
	$args['post_type']   = 'slots';
	query_posts( $args );
	if ( have_posts() ) :
		while ( have_posts() ): the_post();
			$result .= load_template_part( 'loop/slot_item' );
		endwhile;
	endif;
	die( $result );
}


add_action( 'wp_ajax_loadmore', 'load_posts' );
add_action( 'wp_ajax_nopriv_loadmore', 'load_posts' );


function filter_slots() {
	$result   = '';
	$arr_soft = $_POST['arr_soft'];
	$args     = [];
	if ( $arr_soft ) {
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'soft',
				'field'    => 'id',
				'terms'    => $arr_soft
			)
		);
	}

	$args['post_type']      = 'slots';
	$args['posts_per_page'] = - 1;
	query_posts( $args );
	if ( have_posts() ) :
		while ( have_posts() ): the_post();
			$result .= load_template_part( 'loop/slot_item' );
		endwhile;
	endif;
	die( $result );
}


add_action( 'wp_ajax_sort', 'filter_slots' );
add_action( 'wp_ajax_nopriv_sort', 'filter_slots' );



function pagination($prev = '«', $next = '»') {
	global $wp_query, $wp_rewrite;
	$wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
	$pagination = array(
		'base' => @add_query_arg('paged','%#%'),
		'format' => '',
		'total' => $wp_query->max_num_pages,
		'current' => $current,
		'prev_text' => __($prev),
		'next_text' => __($next),
		'type' => 'plain'
	);
	if( $wp_rewrite->using_permalinks() )
		$pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );

	if( !empty($wp_query->query_vars['s']) )
		$pagination['add_args'] = array( 's' => get_query_var( 's' ) );

	echo paginate_links( $pagination );
};