<?php

use Carbon_Fields\Container;
use Carbon_Fields\Field;

add_action( 'carbon_fields_register_fields', 'crb_attach_theme_options' );
function crb_attach_theme_options() {
	/*Настройки шаблона*/
	Container::make( 'theme_options', "Vegas Grand" )
	         ->set_icon( 'dashicons-sos' )
	         ->add_tab( "Общие настройки", array(
		         Field::make( 'text', 'ref_all', "Реферальная ссылка на все ссылки" ),
		         Field::make( 'text', 'ref_social', "Ссылка социальных кнопок" ),
		         Field::make( 'text', 'home_count', "Сколько слотов выводить на главной?" ),
		         Field::make( 'text', 'c_link', "Ссылка купон в в меню" ),
		         Field::make( 'text', 'v_jackpot', "VEGAS JACKPOT" ),
		         Field::make( 'text', 'c_jackpot', "CHICAGO JACKPOT" ),
		         Field::make( 'text', 'n_jackpot', "NEVADA JACKPOT" ),
		         Field::make( 'textarea', 'code', "Код в футере" ),
	         ) )
	         ->add_tab( "Слайдер", array(
			         Field::make( 'complex', 'slider', "Слайдер" )
			              ->add_fields( array(
				              Field::make( 'text', 'link', "Ссылка" ),
				              Field::make( 'image', 'image', 'Картинка' ),
			              ) ),
		         )
	         )
	         ->add_tab( "ПОБЕДИТЕЛИ - Последние", array(
			         Field::make( 'complex', 'p_last', "ПОБЕДИТЕЛИ - Последние" )
			              ->add_fields( array(
				              Field::make( 'text', 'name', "Название слота" ),
				              Field::make( 'text', 'summa', "Сумма выйгрыша" ),
				              Field::make( 'text', 'mail', "Почта победителя" ),
				              Field::make( 'image', 'image', 'Картинка' ),
			              ) ),
		         )
	         )
	         ->add_tab( "ПОБЕДИТЕЛИ - Джекпот", array(
			         Field::make( 'complex', 'p_jackpot', "ПОБЕДИТЕЛИ - Джекпот" )
			              ->add_fields( array(
				              Field::make( 'text', 'name', "Название слота" ),
				              Field::make( 'text', 'summa', "Сумма выйгрыша" ),
				              Field::make( 'text', 'mail', "Почта победителя" ),
				              Field::make( 'image', 'image', 'Картинка' ),
			              ) ),
		         )
	         )
	         ->add_tab( "Футер", array(
			         Field::make( 'complex', 'slider_footer', "Слайдер выйгрышей в футере(6+)" )
			              ->add_fields( array(
				              Field::make( 'image', 'icon', "Иконка слота" ),
				              Field::make( 'text', 'login', 'Логин выйгравшего' ),
				              Field::make( 'text', 'summa', 'Сумма выигрыша' ),
				              Field::make( 'text', 'slot', 'Название слота' ),
			              ) ),
		         )
	         )
	         ->add_tab( "Слоты", array(
			         Field::make( 'text', 'slot_count', "Сколько слотов выводить на странице архива" ),
			         Field::make( 'text', 'text_single', "Текст справа от фрейм слота" ),
			         Field::make( 'rich_text', 'after_slots', "Текст после списка слотов" ),
			         Field::make( 'image', 'back_all', 'Фон блока с фреймом' ),
		         )
	         );

	/*Cлотs*/
	Container::make( 'post_meta', "Опции слотов" )
	         ->where( 'post_type', '=', 'slots' )
	         ->add_fields( array(
		         Field::make( 'text', 'ref', 'Реф ссылка(или берется в настройках общая)' ),
		         Field::make( 'textarea', 'demo', 'Фрейм слота' ),
		         Field::make( 'image', 'back', 'Фон блока с фреймом' ),
	         ) );

	/*Тип слота*/
	Container::make( 'term_meta', "Поля" )
	         ->where( 'term_taxonomy', '=', 'soft' )
	         ->add_fields( array(

		         Field::make( 'image', 'icon', 'SVG иконка' ),
	         ) );


}

add_action( 'after_setup_theme', 'crb_load' );
function crb_load() {
	require_once( get_template_directory() . '/inc/libs/carbon-fields/vendor/autoload.php' );
	\Carbon_Fields\Carbon_Fields::boot();
}
